using ProjectPatientAccounting.Entities;
namespace ProjectPatientAccounting.Repositories;

public interface IPatientRepository
{
    IEnumerable<Patient> ReadPatients();

    Patient ReadPatientById(int id);

    void CreatePatient(Patient patient);

    void UpdatePatient(Patient patient);

    void DeletePatient(int id);
}
